Vcenter CertificateManagement Vcenter TrustedRootChains list

Vcenter CertificateManagement Vcenter TrustedRootChains list

Returns summary information for each trusted root certificate chain.

This operation was added in vSphere API 6.7.2.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires System.Read.
Request
URI
GET
https://{api_host}/api/vcenter/certificate-management/vcenter/trusted-root-chains
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

List of trusted root certificate chains summaries.

[
    {
        "chain": "string"
    }
]

403

if authorization is not given to caller.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: InlineVapi Std Errors Unauthorized0
"Vapi Std Errors Unauthorized Object"

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/vcenter/certificate-management/vcenter/trusted-root-chains